Subject: 26.1; emacs 26 tries loading original user's .emacs after su to root

From: Steinar Bang <[email-masked]>
Date: Wed, 10 Jul 2019 21:20:14 +0100

debian 10 "buster", amd64
GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4) of 2019-02-03, modified by Debian

 - I did /bin/su from my own user to root

 - When I started emacs I got the following error message:

 Warning (initialization): An error occurred while loading ‘/home/sb/.emacs’:

File is missing: Cannot open load file, No such file or directory, editorconfig

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the ‘--debug-init’ option to view a complete error backtrace.

 - Ie. emacs tried to load the original user's .emacs and fails (and the
   configuration of the editor is kind of broken)

Results of HOME and id after su:
root@cadalora:~# env | grep HOME
HOME=/root
root@cadalora:~# id
uid=0(root) gid=0(root) groups=0(root)
root@cadalora:~#

 - When I do "/bin/su - root" then emacs reports no error messages on
   startup

Results of HOME and id looks the same:
root@cadalora:~# env | grep HOME
HOME=/root
root@cadalora:~# id
uid=0(root) gid=0(root) groups=0(root)
root@cadalora:~#